#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 1 solution for spell checking
Name:           sonnet
Version: 6.6.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        sonnet-config.desktop
Patch1:         sonnet-config.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  aspell-devel
BuildRequires:  hspell-devel
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libvoikko)

Requires:       hspell

%description
KDE Frameworks 6 Tier 1 solution for spell checking.

%files -f sonnet6_qt.lang
%_kf6_categoriesdir/sonnet.*categories
%_kf6_bindir/parsetrigrams6
%_kf6_plugindir/sonnet
%_qt6_plugindir/designer/sonnet6widgets.so
%_kf6_qmldir/org/kde/sonnet/

#--------------------------------------------------------------------

%package config
Summary:        Configuration dialog for Sonnet
Group:          System/Configuration
Requires:       %{name} >= %{version}-%{release}

%description config
Configuration Dialogue for Sonnet.
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant,
ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of
different algorithms.

%files config
%{_kf6_bindir}/%{name}-config
%{_kf6_applicationsdir}/%{name}-config.desktop

#--------------------------------------------------------------------

%define kf6sonnetui_major 6
%define libkf6sonnetui %mklibname kf6sonnetui %{kf6sonnetui_major}

%package -n %libkf6sonnetui
Summary:        KDE Frameworks 6 Tier 1 solution for spell checking
Group:          System/Libraries

%description -n %libkf6sonnetui
KDE Frameworks 6 Tier 1 solution for spell checking.

%files -n %libkf6sonnetui
%_kf6_libdir/libKF6SonnetUi.so.%{kf6sonnetui_major}{,.*}
%_kf6_libdir/libKF6SonnetUi.so.%{version}

#--------------------------------------------------------------------

%define kf6sonnetcore_major 6
%define libkf6sonnetcore %mklibname kf6sonnetcore %{kf6sonnetcore_major}

%package -n %libkf6sonnetcore
Summary:        KDE Frameworks 6 Tier 1 solution for spell checking
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6sonnetcore
KDE Frameworks 6 Tier 1 solution for spell checking.

%files -n %libkf6sonnetcore
%_kf6_libdir/libKF6SonnetCore.so.%{kf6sonnetcore_major}{,.*}
%_kf6_libdir/libKF6SonnetCore.so.%{version}

#--------------------------------------------------------------------

%define kf6sonnet_devel %mklibname kf6sonnet -d

%package -n %kf6sonnet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6sonnetui = %version-%release
Requires:       %libkf6sonnetcore = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6sonnet_devel
%_kf6_includedir/SonnetUi/
%_kf6_includedir/SonnetCore/
%dir %_kf6_includedir/Sonnet
%_kf6_includedir/Sonnet/sonnet_version.h
%_kf6_libdir/cmake/KF6Sonnet/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_TESTING=ON \
           -DBUILD_EXAMPLES=ON
%cmake_build

%install
%cmake_install

%find_lang_kf6 sonnet6_qt

# package manually configdialog tool (needed for LXQt)
desktop-file-install --mode=0644 --dir=%{buildroot}%{_kf6_applicationsdir} %{SOURCE1}


%changelog
* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095964
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084414
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070577
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063436
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056871
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044965
- New version 6.0.0

* Thu Feb 08 2024 daviddavid <daviddavid> 5.249.0-2.mga10
+ Revision: 2039284
- re-enable missing sonnet-config tool

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037525
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029618
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025652
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005731
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1999009
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987402
- New version 5.110.0

* Thu May 04 2023 daviddavid <daviddavid> 5.105.0-2.mga9
+ Revision: 1955804
- fix owner of include dir

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952099
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947893
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941400
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935049
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922300
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911668
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900271
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887708
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880650
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871750
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853270
- New version 5.93.0

* Thu Apr 07 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1846846
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1755004
- New version 5.88.0

* Mon Oct 04 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749454
- New version 5.87.0
- fix RPATH issue

* Sat Oct 02 2021 wally <wally> 5.86.0-1.mga9
+ Revision: 1748487
- handle sonnet-config install with cmake
+ neoclust <neoclust>
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735312
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723512
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714900
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702076
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691170
- New version 5.79.0

* Thu Dec 31 2020 neoclust <neoclust> 5.76.0-2.mga8
+ Revision: 1667099
- Add hspell as default require (mga#27252)

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653385
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633235
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625670
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612448
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603142
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592834
- New version 5.71.0

* Fri May 22 2020 daviddavid <daviddavid> 5.70.0-2.mga8
+ Revision: 1586803
- package manually configdialog tool (needed for LXQt)

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582060
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566551
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556728
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546692
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486864
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466588
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457665
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451040
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445014
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424349
- fix devel pkg-name

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420275
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386989
- New version 5.57.0

* Tue Apr 02 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1384864
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374647
- New version 5.56.0

* Sun Mar 10 2019 daviddavid <daviddavid> 5.55.0-2.mga7
+ Revision: 1373532
- drop useless required enchant build dependency

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364582
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356714
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339261
- New version 5.53.0

* Fri Nov 23 2018 daviddavid <daviddavid> 5.51.0-2.mga7
+ Revision: 1333489
- rebuild for new hunspell 1.7.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319008
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1301105
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247360
- New version 5.49.0

* Thu May 17 2018 wally <wally> 5.46.0-1.mga7
+ Revision: 1229968
- new version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192325
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182380
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161281
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140443
- New version 5.37.0

* Fri Jul 21 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1125696
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089007
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074579
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072242
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058397
- New version 5.27.0

* Fri Sep 09 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050936
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049247
- enable HSPELL, HUNSPELL and VOIKKO support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045152
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041378
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021972
- New version 5.23.0

* Sat May 14 2016 neoclust <neoclust> 5.22.0-2.mga6
+ Revision: 1015498
- Fix Requires of the devel package

* Fri May 13 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014592
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999671
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986369
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942295
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921318
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912953
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909861
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900515
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899507
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898959
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888332
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881423
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862984
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862695
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Mon Aug 03 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 860914
- Add fedora patch to detect dicts

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853829
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841617
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803385
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 738914
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 689247
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660457
- New version 5.1.0

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650545
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 645642
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611309
- New version 4.98.0

* Mon Mar 10 2014 neoclust <neoclust> 4.97.0-2.mga5
+ Revision: 601723
- Remove requires in lib package

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599740
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593115
- New version 4.96.0

* Tue Feb 11 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 589555
- imported package sonnet

